# iscellstr

checks if a variable is a cell array of strings

## Calling Sequence

    bool = iscellstr(x)

## Arguments

x

  a Scilab variable.

bool

  a boolean.

## Description

`iscellstr(x)` returns `%t` if `x` is a cell array of strings (or an empty cell array) and `%f` otherwise.

## Examples

    iscellstr(1)

    iscellstr(cell())

    iscellstr(cell(3))

    strcell = cell(3,1);
    strcell(1).entries="Scilab";
    strcell(2).entries="iscellstr";
    strcell(3).entries="help";
    iscellstr(strcell)

## See Also

- cell
- iscell
- isstruct